<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Camarahiperbarica{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO camarahiperbaricas (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idcamarahiperbarica,$nombre,$descripcion){
	$sql="UPDATE camarahiperbaricas SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idcamarahiperbarica='$idcamarahiperbarica'";
	return ejecutarConsulta($sql);
}
public function desactivar($idcamarahiperbarica){
	$sql="UPDATE camarahiperbaricas SET condicion='0' WHERE idcamarahiperbarica='$idcamarahiperbarica'";
	return ejecutarConsulta($sql);
}
public function activar($idcamarahiperbarica){
	$sql="UPDATE camarahiperbaricas SET condicion='1' WHERE idcamarahiperbarica='$idcamarahiperbarica'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idcamarahiperbarica){
	$sql="SELECT * FROM camarahiperbaricas WHERE idcamarahiperbarica='$idcamarahiperbarica'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM camarahiperbaricas";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM camarahiperbaricarahiperbaricas WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
